# frozen_string_literal: true

require 'active_model'
require 'aws-record'
require 'rails/railtie'

require 'dynamo/record/marshalers'
require 'dynamo/record/batch_get'
require 'dynamo/record/batch_write'
require 'dynamo/record/batch_request'
require 'dynamo/record/model'
require 'dynamo/record/railtie'
require 'dynamo/record/model_existence_validator'
require 'dynamo/record/table_migration'
require 'dynamo/record/version'

require 'dynamo/record/task_helpers/cleanup'
require 'dynamo/record/task_helpers/drop_all_tables'
require 'dynamo/record/task_helpers/drop_table'
require 'dynamo/record/task_helpers/list_tables'
require 'dynamo/record/task_helpers/migration_runner'
require 'dynamo/record/task_helpers/scale'

module Dynamo
  module Record
    class << self
      attr_writer :logger

      def logger
        @logger ||= Logger.new($stdout).tap { |log| log.progname = name }
      end
    end
  end
end
