# frozen_string_literal: true

module Dynamo
  module Record
    class ModelExistenceValidator < ActiveModel::EachValidator
      def validate_each(record, attribute, value)
        return if options[:model].exists? value

        record.errors[attribute] << (options[:message] || "#{attribute}:#{value} is not a valid #{options[:model]}")
      end
    end
  end
end
