# frozen_string_literal: true

module Dynamo
  module Record
    module TaskHelpers
      class DropAllTables
        def self.run(override: false)
          raise 'Task not available on production' if Rails.env.production?

          env = Rails.env
          dynamodb = Aws::DynamoDB::Client.new
          tables = dynamodb.list_tables
          tables.table_names.map do |t|
            next unless t.include?(env) || override

            dt = dynamodb.delete_table(table_name: t)
            dt ? "Deleted: #{t}" : "Delete failed: #{t}"
          end
        end
      end
    end
  end
end
